#include <iostream>

using namespace std;



int main () {
   int n;

   cin >> n;

   int arr[n];

   for (int i = 0; i < n; i ++) {
        cin >> arr[i];
   }

   bool s = false;




   for (int i = 1; i < n; i ++) {
        for (int j = 1; j < n; j ++) {
            if (arr[i] == j*j + i*i) {
                s = true;
            }else {
                s = false;
            }
        }
    }

    for (int i = 0; i < n; i ++){
        if (s==true){
            cout << "1";
        }else {
            cout << "0";
        }
    }


   return 0;
}


